Debian Bug report logs - #289431
ITA: libexporter-lite-perl -- Lightweight subset of Exporter

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Sun, 9 Jan 2005 01:48:09 UTC

Severity: normal

Fixed in version libexporter-lite-perl/0.01-7

Done: Stephen Quinney <stephen@jadevine.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dagfinn Ilmari Manns�ker <ilmari@ping.uio.no>, <wnpp@debian.org>:
Bug#289431; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Dagfinn Ilmari Manns�ker <ilmari@ping.uio.no>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libexporter-lite-perl -- Lightweight subset of Exporter
Date: Sun, 09 Jan 2005 02:42:59 +0100
Package: wnpp
Severity: normal

The current maintainer of libexporter-lite-perl, Dagfinn Ilmari Mannsåker <ilmari@ping.uio.no>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: libexporter-lite-perl
Binary: libexporter-lite-perl
Version: 0.01-6
Priority: optional
Section: perl
Maintainer: Dagfinn Ilmari Mannsåker <ilmari@ping.uio.no>
Build-Depends-Indep: debhelper (>= 3.0.5), perl (>= 5.6.0-17)
Architecture: all
Standards-Version: 3.5.8
Format: 1.0
Directory: pool/main/libe/libexporter-lite-perl
Files: 2888381128345c99a3a33fc930078e1e 651 libexporter-lite-perl_0.01-6.dsc
 e45c93513ecb22e183748592069bdaf8 20650 libexporter-lite-perl_0.01.orig.tar.gz
 a99c363b0329abccb16548286800406e 2001 libexporter-lite-perl_0.01-6.diff.gz

Package: libexporter-lite-perl
Priority: optional
Section: perl
Installed-Size: 68
Maintainer: Dagfinn Ilmari Mannsåker <ilmari@ping.uio.no>
Architecture: all
Version: 0.01-6
Depends: perl (>= 5.6.0-16)
Filename: pool/main/libe/libexporter-lite-perl/libexporter-lite-perl_0.01-6_all.deb
Size: 7566
MD5sum: 3a6b7e865f4b89d4098fe517f99f3170
Description: Lightweight subset of Exporter
 This is an alternative to Exporter intended to provide a lightweight
 subset of its functionality.  It supports import(), @EXPORT and
 @EXPORT_OK and not a whole lot else.
 .
 Unlike Exporter, it is not necessary to inherit from Exporter::Lite
 (ie. no @ISA = qw(Exporter::Lite) mantra).  Exporter::Lite simply
 exports its import() function.  This might be called a "mix-in".
 .
 Setting up a module to export its variables and functions is simple:
 .
 package My::Module;
 use Exporter::Lite;
 .
 @EXPORT = qw($Foo bar);



Changed Bug title. Request was from Stephen Quinney <stephen@jadevine.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Stephen Quinney <stephen@jadevine.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 289431-close@bugs.debian.org (full text, mbox):

From: Stephen Quinney <stephen@jadevine.org.uk>
To: 289431-close@bugs.debian.org
Subject: Bug#289431: fixed in libexporter-lite-perl 0.01-7
Date: Fri, 14 Jan 2005 10:07:40 -0500
Source: libexporter-lite-perl
Source-Version: 0.01-7

We believe that the bug you reported is fixed in the latest version of
libexporter-lite-perl, which is due to be installed in the Debian FTP archive:

libexporter-lite-perl_0.01-7.diff.gz
  to pool/main/libe/libexporter-lite-perl/libexporter-lite-perl_0.01-7.diff.gz
libexporter-lite-perl_0.01-7.dsc
  to pool/main/libe/libexporter-lite-perl/libexporter-lite-perl_0.01-7.dsc
libexporter-lite-perl_0.01-7_all.deb
  to pool/main/libe/libexporter-lite-perl/libexporter-lite-perl_0.01-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 289431@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Quinney <stephen@jadevine.org.uk> (supplier of updated libexporter-lite-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Jan 2005 14:17:13 +0000
Source: libexporter-lite-perl
Binary: libexporter-lite-perl
Architecture: source all
Version: 0.01-7
Distribution: unstable
Urgency: low
Maintainer: Stephen Quinney <stephen@jadevine.org.uk>
Changed-By: Stephen Quinney <stephen@jadevine.org.uk>
Description: 
 libexporter-lite-perl - Lightweight subset of Exporter
Closes: 289431
Changes: 
 libexporter-lite-perl (0.01-7) unstable; urgency=low
 .
   * New maintainer, closes: #289431.
   * debian/control
      * Changed section to perl
      * Updated to latest Standards-Version
      * Increased build-dependency on debhelper to >= 4
   * debian/compat - Added, in-line with current best practice
   * debian/rules - Changed to my standard style
   * debian/copyright - Clarified slightly
Files: 
 b263cdfbd9a0fb8a22286ae4f58330bc 645 perl optional libexporter-lite-perl_0.01-7.dsc
 0cd10909c88f5897742de97fa92b56c0 2287 perl optional libexporter-lite-perl_0.01-7.diff.gz
 1c950043237e6a496472e756c1bd11b7 7882 perl optional libexporter-lite-perl_0.01-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFB59gEITGblEwaW+URAo69AKCzSyFrTT4Ky4n7XFGZzMoCz8exoQCeL7Tt
xpJIfnQEcVaC1/9yjGMClP4=
=MGG8
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:00:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.